
Foreman - Bug #32541

Host creation API "overwrite" parameter is not documented

05/06/2021 10:20 AM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: API   

Target version:    

Difficulty: trivial Fixed in Releases: 3.1.0

Triaged: No Found in Releases: 2.4.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8693,

https://github.com/theforeman/foreman/p

ull/8719

  

Description

Ohai,

hammer supports an `--overwrite` flag when creating hosts (see #9208). This was originally added to core in #944 (wow, 3 digit issue

numbers, pre 1.0!) and later fixed up in #6998.

However, this flag is not part of the apidoc and thus can't be used by clients who totally adhere to the apidoc (ohai Ansible!).

Please add it to the apidoc

Related issues:

Related to Foreman - Tracker #27680: API bugs that need workarounds in forema... New

Associated revisions

Revision 46cecbcf - 08/11/2021 08:22 AM - Maxim Petukhov

Fixes #32541 - add "overwrite" parameter in apidoc

History

#1 - 05/06/2021 10:25 AM - Evgeni Golov

- Related to Tracker #27680: API bugs that need workarounds in foreman-ansible-modules added

#2 - 05/06/2021 10:44 AM - Oleh Fedorenko

- Difficulty set to trivial

#3 - 07/26/2021 04:03 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8693 added

#4 - 08/11/2021 08:22 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#5 - 08/11/2021 09:08 AM - Maxim Petukhov

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|46cecbcf38d2bb602f961a66aa0c092d210232fb.

#6 - 08/18/2021 09:37 AM - The Foreman Bot

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8719 added
